//+-----------------------------------------------------------------------------------+
//|                                                          TimeFrames.mqh           |
//|                                                          Copyright  Zhunko       |
//|25.05.2011 - 14.04.2013                                   MF ZHUNKO vadim@zhunko.ru|
//+-----------------------------------------------------------------------------------+
//|        MT4  MT5.|
//+-----------------------------------------------------------------------------------+
//
#import "TimeFrames.dll"
 //
 // 1.  .
 //
 // 1.1.1.       4.   TRUE      FALSE    .    ANSI-.
 BOOL tfCheckName9A(uchar &szNamePeriod[]); //   : "M1", "M5", "M15", "M30", "H1", "H4", "D1", "W1", "MN1".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.1.2.       4.   TRUE      FALSE    .    UNICODE-.
 BOOL tfCheckName9W(string sNamePeriod); //   : "M1", "M5", "M15", "M30", "H1", "H4", "D1", "W1", "MN1".
 //=============================================================================================================================================================================================================================================================
 // 1.2.1.       5.   TRUE      FALSE    .    ANSI-.
 BOOL tfCheckName21A(uchar &szNamePeriod[]); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.2.2.       5.   TRUE      FALSE    .    UNICODE-.
 BOOL tfCheckName21W(string sNamePeriod); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1".
 //=============================================================================================================================================================================================================================================================
 // 1.3.1.        .   TRUE      FALSE    .    ANSI-.
 BOOL tfCheckName24A(uchar &szNamePeriod[]); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1", "Q1", "YR1", "YR4".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.3.2.        .   TRUE      FALSE    .    UNICODE-.
 BOOL tfCheckName24W(string sNamePeriod); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1", "Q1", "YR1", "YR4".
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 1.4.1.       4.                       .
 //           ANSI-.
 string tfCheckNameReturn9A(uchar &szNamePeriod[]); //   : "M1", "M5", "M15", "M30", "H1", "H4", "D1", "W1", "MN1".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.4.2.       4.                       .
 //           UNICODE-.
 string tfCheckNameReturn9W(string sNamePeriod); //   : "M1", "M5", "M15", "M30", "H1", "H4", "D1", "W1", "MN1".
 //=============================================================================================================================================================================================================================================================
 // 1.5.1.       5.                       .
 //           ANSI-.
 string tfCheckNameReturn21A(uchar &szNamePeriod[]); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.5.2.       5.                       .
 //           UNICODE-.
 string tfCheckNameReturn21W(string sNamePeriod); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1".
 //=============================================================================================================================================================================================================================================================
 // 1.6.1.        .                       .
 //           ANSI-.
 string tfCheckNameReturn24A(uchar &szNamePeriod[]); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1", "Q1", "YR1", "YR4".
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 1.6.2.        .                       .
 //           UNICODE-.
 string tfCheckNameReturn24W(string sNamePeriod); //   : "M1", "M2", "M3", "M4", "M5", "M6", "M10", "M12", "M15", "M20", "M30", "H1", "H2", "H3" "H4", "H6", "H8", "H12", "D1", "W1", "MN1", "Q1", "YR1", "YR4".
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 1.7.          .   ,   TRUE,  - FALSE.
 BOOL tfCheckPeriod9(int nPeriod); //   .  :
                                   //       1  "M1"      1 ;
                                   //       5  "M5"      5 ;
                                   //      15  "M15"    15 ;
                                   //      30  "M30"    30 ;
                                   //      60  "H1"      1 ;
                                   //     240  "H4"      4 ;
                                   //    1440  "Daily"   1 ;
                                   //   10080  "Weekly"  1 ;
                                   //   43200  "Monthly" 1 .
 //=============================================================================================================================================================================================================================================================
 // 1.8.          .   ,   TRUE,  - FALSE.
 BOOL tfCheckPeriod24(int nPeriod); //   .  :
                                    //       1  "M1"      1 ;
                                    //       2  "M2"      2 ;
                                    //       3  "M3"      3 ;
                                    //       4  "M4"      4 ;
                                    //       5  "M5"      5 ;
                                    //       6  "M6"      6 ;
                                    //      10  "M10"    10 ;
                                    //      12  "M12"    12 ;
                                    //      15  "M15"    15 ;
                                    //      20  "M20"    20 ;
                                    //      30  "M30"    30 ;
                                    //      60  "H1"      1 ;
                                    //     120  "H2"      2 ;
                                    //     180  "H3"      3 ;
                                    //     240  "H4"      4 ;
                                    //     360  "H6"      6 ;
                                    //     480  "H8"      8 ;
                                    //     720  "H12"    12 ;
                                    //    1440  "Daily"   1 ;
                                    //   10080  "Weekly"  1 ;
                                    //   43200  "Monthly" 1 ;
                                    //  129600  "D90"     1 ;
                                    //  518400  "D360"    1 ;
                                    // 2073600  "D1440"   4 .
 //
 // 2. ,   ,   .
 //
 // 2.1.1.          .    ANSI-.
 string tfNameByPeriod9A(int nPeriod); //   .  :
                                       //       1  "M1"      1 ;
                                       //       5  "M5"      5 ;
                                       //      15  "M15"    15 ;
                                       //      30  "M30"    30 ;
                                       //      60  "H1"      1 ;
                                       //     240  "H4"      4 ;
                                       //    1440  "D1"      1 ;
                                       //   10080  "W1"      1 ;
                                       //   43200  "MN1"     1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.1.2.          .    UNICODE-.
 string tfNameByPeriod9W(int nPeriod); //   .  :
                                       //       1  "M1"      1 ;
                                       //       5  "M5"      5 ;
                                       //      15  "M15"    15 ;
                                       //      30  "M30"    30 ;
                                       //      60  "H1"      1 ;
                                       //     240  "H4"      4 ;
                                       //    1440  "D1"      1 ;
                                       //   10080  "W1"      1 ;
                                       //   43200  "MN1"     1 .
 //=============================================================================================================================================================================================================================================================
 // 2.2.1.          .    ANSI-.
 string tfNameByPeriod24A(int nPeriod); //   .  :
                                        //       1  "M1"      1 ;
                                        //       2  "M2"      2 ;
                                        //       3  "M3"      3 ;
                                        //       4  "M4"      4 ;
                                        //       5  "M5"      5 ;
                                        //       6  "M6"      6 ;
                                        //      10  "M10"    10 ;
                                        //      12  "M12"    12 ;
                                        //      15  "M15"    15 ;
                                        //      20  "M20"    20 ;
                                        //      30  "M30"    30 ;
                                        //      60  "H1"      1 ;
                                        //     120  "H2"      2 ;
                                        //     180  "H3"      3 ;
                                        //     240  "H4"      4 ;
                                        //     360  "H6"      6 ;
                                        //     480  "H8"      8 ;
                                        //     720  "H12"    12 ;
                                        //    1440  "D1"      1 ;
                                        //   10080  "W1"      1 ;
                                        //   43200  "MN1"     1 ;
                                        //  129600  "Q1"      1 ;
                                        //  518400  "YR1"     1 ;
                                        // 2073600  "YR4"     4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.2.2.          .    UNICODE-.
 string tfNameByPeriod24W(int nPeriod); //   .  :
                                        //       1  "M1"      1 ;
                                        //       2  "M2"      2 ;
                                        //       3  "M3"      3 ;
                                        //       4  "M4"      4 ;
                                        //       5  "M5"      5 ;
                                        //       6  "M6"      6 ;
                                        //      10  "M10"    10 ;
                                        //      12  "M12"    12 ;
                                        //      15  "M15"    15 ;
                                        //      20  "M20"    20 ;
                                        //      30  "M30"    30 ;
                                        //      60  "H1"      1 ;
                                        //     120  "H2"      2 ;
                                        //     180  "H3"      3 ;
                                        //     240  "H4"      4 ;
                                        //     360  "H6"      6 ;
                                        //     480  "H8"      8 ;
                                        //     720  "H12"    12 ;
                                        //    1440  "D1"      1 ;
                                        //   10080  "W1"      1 ;
                                        //   43200  "MN1"     1 ;
                                        //  129600  "Q1"      1 ;
                                        //  518400  "YR1"     1 ;
                                        // 2073600  "YR4"     4 .
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 2.3.1.           .    ANSI-.
 string tfNameChart9A(int nIndexPeriod); //  .  :
                                         // 0  "M1"      1 ;
                                         // 1  "M5"      5 ;
                                         // 2  "M15"    15 ;
                                         // 3  "M30"    30 ;
                                         // 4  "H1"      1 ;
                                         // 5  "H4"      4 ;
                                         // 6  "Daily"   1 ;
                                         // 7  "Weekly"  1 ;
                                         // 8  "Monthly" 1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.3.2.           .    UNICODE-.
 string tfNameChart9W(int nIndexPeriod); //  .  :
                                         // 0  "M1"      1 ;
                                         // 1  "M5"      5 ;
                                         // 2  "M15"    15 ;
                                         // 3  "M30"    30 ;
                                         // 4  "H1"      1 ;
                                         // 5  "H4"      4 ;
                                         // 6  "Daily"   1 ;
                                         // 7  "Weekly"  1 ;
                                         // 8  "Monthly" 1 .
 //=============================================================================================================================================================================================================================================================
 // 2.4.1.           .    ANSI-.
 string tfNameChart24A(int nIndexPeriod); //  .  :
                                          //  0  "M1"      1 ;
                                          //  1  "M2"      2 ;
                                          //  2  "M3"      3 ;
                                          //  3  "M4"      4 ;
                                          //  4  "M5"      5 ;
                                          //  5  "M6"      6 ;
                                          //  6  "M10"    10 ;
                                          //  7  "M12"    12 ;
                                          //  8  "M15"    15 ;
                                          //  9  "M20"    20 ;
                                          // 10  "M30"    30 ;
                                          // 11  "H1"      1 ;
                                          // 12  "H2"      2 ;
                                          // 13  "H3"      3 ;
                                          // 14  "H4"      4 ;
                                          // 15  "H6"      6 ;
                                          // 16  "H8"      8 ;
                                          // 17  "H12"    12 ;
                                          // 18  "Daily"   1 ;
                                          // 19  "Weekly"  1 ;
                                          // 20  "Monthly" 1 ;
                                          // 21  "D90"     1 ;
                                          // 22  "D360"    1 ;
                                          // 23  "D1440"   4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.4.2.           .    UNICODE-.
 string tfNameChart24W(int nIndexPeriod); //  .  :
                                          //  0  "M1"      1 ;
                                          //  1  "M2"      2 ;
                                          //  2  "M3"      3 ;
                                          //  3  "M4"      4 ;
                                          //  4  "M5"      5 ;
                                          //  5  "M6"      6 ;
                                          //  6  "M10"    10 ;
                                          //  7  "M12"    12 ;
                                          //  8  "M15"    15 ;
                                          //  9  "M20"    20 ;
                                          // 10  "M30"    30 ;
                                          // 11  "H1"      1 ;
                                          // 12  "H2"      2 ;
                                          // 13  "H3"      3 ;
                                          // 14  "H4"      4 ;
                                          // 15  "H6"      6 ;
                                          // 16  "H8"      8 ;
                                          // 17  "H12"    12 ;
                                          // 18  "Daily"   1 ;
                                          // 19  "Weekly"  1 ;
                                          // 20  "Monthly" 1 ;
                                          // 21  "D90"     1 ;
                                          // 22  "D360"    1 ;
                                          // 23  "D1440"   4 .
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 2.5.1.            .    ANSI-.
 string tfNameChartByPeriod9A(int nPeriod); //   .  :
                                            //       1  "M1"      1 ;
                                            //       5  "M5"      5 ;
                                            //      15  "M15"    15 ;
                                            //      30  "M30"    30 ;
                                            //      60  "H1"      1 ;
                                            //     240  "H4"      4 ;
                                            //    1440  "Daily"   1 ;
                                            //   10080  "Weekly"  1 ;
                                            //   43200  "Monthly" 1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.5.2.            .    UNICODE-.
 string tfNameChartByPeriod9W(int nPeriod); //   .  :
                                            //       1  "M1"      1 ;
                                            //       5  "M5"      5 ;
                                            //      15  "M15"    15 ;
                                            //      30  "M30"    30 ;
                                            //      60  "H1"      1 ;
                                            //     240  "H4"      4 ;
                                            //    1440  "Daily"   1 ;
                                            //   10080  "Weekly"  1 ;
                                            //   43200  "Monthly" 1 .
 //=============================================================================================================================================================================================================================================================
 // 2.6.1.            .    ANSI-.
 string tfNameChartByPeriod24A(int nPeriod); //   .  :
                                             //       1  "M1"      1 ;
                                             //       2  "M2"      2 ;
                                             //       3  "M3"      3 ;
                                             //       4  "M4"      4 ;
                                             //       5  "M5"      5 ;
                                             //       6  "M6"      6 ;
                                             //      10  "M10"    10 ;
                                             //      12  "M12"    12 ;
                                             //      15  "M15"    15 ;
                                             //      20  "M20"    20 ;
                                             //      30  "M30"    30 ;
                                             //      60  "H1"      1 ;
                                             //     120  "H2"      2 ;
                                             //     180  "H3"      3 ;
                                             //     240  "H4"      4 ;
                                             //     360  "H6"      6 ;
                                             //     480  "H8"      8 ;
                                             //     720  "H12"    12 ;
                                             //    1440  "Daily"   1 ;
                                             //   10080  "Weekly"  1 ;
                                             //   43200  "Monthly" 1 ;
                                             //  129600  "D90"     1 ;
                                             //  518400  "D360"    1 ;
                                             // 2073600  "D1440"   4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.6.2.            .    UNICODE-.
 string tfNameChartByPeriod24W(int nPeriod); //   .  :
                                             //       1  "M1"      1 ;
                                             //       2  "M2"      2 ;
                                             //       3  "M3"      3 ;
                                             //       4  "M4"      4 ;
                                             //       5  "M5"      5 ;
                                             //       6  "M6"      6 ;
                                             //      10  "M10"    10 ;
                                             //      12  "M12"    12 ;
                                             //      15  "M15"    15 ;
                                             //      20  "M20"    20 ;
                                             //      30  "M30"    30 ;
                                             //      60  "H1"      1 ;
                                             //     120  "H2"      2 ;
                                             //     180  "H3"      3 ;
                                             //     240  "H4"      4 ;
                                             //     360  "H6"      6 ;
                                             //     480  "H8"      8 ;
                                             //     720  "H12"    12 ;
                                             //    1440  "Daily"   1 ;
                                             //   10080  "Weekly"  1 ;
                                             //   43200  "Monthly" 1 ;
                                             //  129600  "D90"     1 ;
                                             //  518400  "D360"    1 ;
                                             // 2073600  "D1440"   4 .
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 2.7.1.        .    ANSI-.
 string tfNamePeriod9A(int nIndexPeriod); //  .  :
                                          // 0  "M1"   1 ;
                                          // 1  "M5"   5 ;
                                          // 2  "M15"  15 ;
                                          // 3  "M30"  30 ;
                                          // 4  "H1"   1 ;
                                          // 5  "H4"   4 ;
                                          // 6  "D1"   1 ;
                                          // 7  "W1"   1 ;
                                          // 8  "MN1"  1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.7.2.        .    UNICODE-.
 string tfNamePeriod9W(int nIndexPeriod); //  .  :
                                          // 0  "M1"   1 ;
                                          // 1  "M5"   5 ;
                                          // 2  "M15"  15 ;
                                          // 3  "M30"  30 ;
                                          // 4  "H1"   1 ;
                                          // 5  "H4"   4 ;
                                          // 6  "D1"   1 ;
                                          // 7  "W1"   1 ;
                                          // 8  "MN1"  1 .
 //=============================================================================================================================================================================================================================================================
 // 2.8.1.        .    ANSI-.
 string tfNamePeriod24A(int nIndexPeriod); //  .  :
                                           //  0  "M1"   1 ;
                                           //  1  "M2"   2 ;
                                           //  2  "M3"   3 ;
                                           //  3  "M4"   4 ;
                                           //  4  "M5"   5 ;
                                           //  5  "M6"   6 ;
                                           //  6  "M10"  10 ;
                                           //  7  "M12"  12 ;
                                           //  8  "M15"  15 ;
                                           //  9  "M20"  20 ;
                                           // 10  "M30"  30 ;
                                           // 11  "H1"   1 ;
                                           // 12  "H2"   2 ;
                                           // 13  "H3"   3 ;
                                           // 14  "H4"   4 ;
                                           // 15  "H6"   6 ;
                                           // 16  "H8"   8 ;
                                           // 17  "H12"  12 ;
                                           // 18  "D1"   1 ;
                                           // 19  "W1"   1 ;
                                           // 20  "MN1"  1 ;
                                           // 21  "Q1"   1 ;
                                           // 22  "YR1"  1 ; 
                                           // 23  "YR4"  4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 2.8.2.        .    UNICODE-.
 string tfNamePeriod24W(int nIndexPeriod); //  .  :
                                           //  0  "M1"   1 ;
                                           //  1  "M2"   2 ;
                                           //  2  "M3"   3 ;
                                           //  3  "M4"   4 ;
                                           //  4  "M5"   5 ;
                                           //  5  "M6"   6 ;
                                           //  6  "M10"  10 ;
                                           //  7  "M12"  12 ;
                                           //  8  "M15"  15 ;
                                           //  9  "M20"  20 ;
                                           // 10  "M30"  30 ;
                                           // 11  "H1"   1 ;
                                           // 12  "H2"   2 ;
                                           // 13  "H3"   3 ;
                                           // 14  "H4"   4 ;
                                           // 15  "H6"   6 ;
                                           // 16  "H8"   8 ;
                                           // 17  "H12"  12 ;
                                           // 18  "D1"   1 ;
                                           // 19  "W1"   1 ;
                                           // 20  "MN1"  1 ;
                                           // 21  "Q1"   1 ;
                                           // 22  "YR1"  1 ; 
                                           // 23  "YR4"  4 .
 //
 // 3. ,   .
 //
 // 3.1.1.       .          .    ANSI-.
 int tfIndexByName9A(uchar &szNamePeriod[]); //  .  :
                                             // M1   0   1 ;
                                             // M5   1   5 ;
                                             // M15  2  15 ;
                                             // M30  3  30 ;
                                             // H1   4   1 ;
                                             // H4   5   4 ;
                                             // D1   6   1 ;
                                             // W1   7   1 ;
                                             // MN1  8   1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 3.1.2.       .          .    UNICODE-.
 int tfIndexByName9W(string sNamePeriod); //  .  :
                                          // M1   0   1 ;
                                          // M5   1   5 ;
                                          // M15  2  15 ;
                                          // M30  3  30 ;
                                          // H1   4   1 ;
                                          // H4   5   4 ;
                                          // D1   6   1 ;
                                          // W1   7   1 ;
                                          // MN1  8   1 .
 //=============================================================================================================================================================================================================================================================
 // 3.2.1.       .          .    ANSI-.
 int tfIndexByName24A(uchar &szNamePeriod[]); //  .  :
                                              // M1    0   1 ;
                                              // M2    1   2 ;
                                              // M3    2   3 ;
                                              // M4    3   4 ;
                                              // M5    4   5 ;
                                              // M6    5   6 ;
                                              // M10   6  10 ;
                                              // M12   7  12 ;
                                              // M15   8  15 ;
                                              // M20   9  20 ;
                                              // M30  10  30 ;
                                              // H1   11   1 ;
                                              // H2   12   2 ;
                                              // H3   13   3 ;
                                              // H4   14   4 ;
                                              // H6   15   6 ;
                                              // H8   16   8 ;
                                              // H12  17  12 ;
                                              // D1   18   1 ;
                                              // W1   19   1 ;
                                              // MN1  20   1 ;
                                              // Q1   21   1 ;
                                              // YR1  22   1 ;
                                              // YR4  23   4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 3.2.2.       .          .    UNICODE-.
 int tfIndexByName24W(string sNamePeriod); //  .  :
                                           // M1    0   1 ;
                                           // M2    1   2 ;
                                           // M3    2   3 ;
                                           // M4    3   4 ;
                                           // M5    4   5 ;
                                           // M6    5   6 ;
                                           // M10   6  10 ;
                                           // M12   7  12 ;
                                           // M15   8  15 ;
                                           // M20   9  20 ;
                                           // M30  10  30 ;
                                           // H1   11   1 ;
                                           // H2   12   2 ;
                                           // H3   13   3 ;
                                           // H4   14   4 ;
                                           // H6   15   6 ;
                                           // H8   16   8 ;
                                           // H12  17  12 ;
                                           // D1   18   1 ;
                                           // W1   19   1 ;
                                           // MN1  20   1 ;
                                           // Q1   21   1 ;
                                           // YR1  22   1 ;
                                           // YR4  23   4 .
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 3.3.            .          .
 int tfIndexByPeriod9(int nPeriod); //   .  :
                                    //       1  0    1 ;
                                    //       5  1    5 ;
                                    //      15  2   15 ;
                                    //      30  3   30 ;
                                    //      60  4    1 ;
                                    //     240  5    4 ;
                                    //    1440  6    1 ;
                                    //   10080  7    1 ;
                                    //   43200  8    1 .
 //=============================================================================================================================================================================================================================================================
 // 3.3.            .          .
 int tfIndexByPeriod24(int nPeriod); //   .  :
                                     //       1   0    1 ;
                                     //       2   1    2 ;
                                     //       3   2    3 ;
                                     //       4   3    4 ;
                                     //       5   4    5 ;
                                     //       6   5    6 ;
                                     //      10   6   10 ;
                                     //      12   7   12 ;
                                     //      15   8   15 ;
                                     //      20   9   20 ;
                                     //      30  10   30 ;
                                     //      60  11    1 ;
                                     //     120  12    2 ;
                                     //     180  13    3 ;
                                     //     240  14    4 ;
                                     //     360  15    6 ;
                                     //     480  16    8 ;
                                     //     720  17   12 ;
                                     //    1440  18    1 ;
                                     //   10080  19    1 ;
                                     //   43200  20    1 ;
                                     //  129600  21    1 ;
                                     //  518400  22    1 ;
                                     // 2073600  23    4 .
 //
 // 4. ,  .
 //
 // 4.1.          .          .
 int tfPeriod9(int nIndexPeriod); //  .  :
                                  //  0  PERIOD_M1   1 ;
                                  //  1  PERIOD_M5   5 ;
                                  //  2  PERIOD_M15  15 ;
                                  //  3  PERIOD_M30  30 ;
                                  //  4  PERIOD_H1   1 ;
                                  //  5  PERIOD_H4   4 ;
                                  //  6  PERIOD_D1   1 ;
                                  //  7  PERIOD_W1   1 ;
                                  //  8  PERIOD_MN1  1 .
 //=============================================================================================================================================================================================================================================================
 // 4.2.2.          .          .
 int tfPeriod24(int nIndexPeriod); //  .  :
                                   //  0  PERIOD_M1   1 ;
                                   //  1  PERIOD_M2   2 ;
                                   //  2  PERIOD_M3   3 ;
                                   //  3  PERIOD_M4   4 ;
                                   //  4  PERIOD_M5   5 ;
                                   //  5  PERIOD_M6   6 ;
                                   //  6  PERIOD_M10  10 ;
                                   //  7  PERIOD_M12  12 ;
                                   //  8  PERIOD_M15  15 ;
                                   //  9  PERIOD_M20  20 ;
                                   // 10  PERIOD_M30  30 ;
                                   // 11  PERIOD_H1   1 ;
                                   // 12  PERIOD_H2   2 ;
                                   // 13  PERIOD_H3   3 ;
                                   // 14  PERIOD_H4   4 ;
                                   // 15  PERIOD_H6   6 ;
                                   // 16  PERIOD_H8   8 ;
                                   // 17  PERIOD_H12  12 ;
                                   // 18  PERIOD_D1   1 ;
                                   // 19  PERIOD_W1   1 ;
                                   // 20  PERIOD_MN1  1 ;
                                   // 21  PERIOD_Q1   1 ;
                                   // 22  PERIOD_YR1  1 ;
                                   // 23  PERIOD_YR4  4 .
 //xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 // 4.3.1.         .          .    ANSI-.
 int tfPeriodByName9A(uchar &szNamePeriod[]); //  .  :
                                              // ""     0            .
                                              // "M1"   PERIOD_M1   1 ;
                                              // "M5"   PERIOD_M5   5 ;
                                              // "M15"  PERIOD_M15  15 ;
                                              // "M30"  PERIOD_M30  30 ;
                                              // "H1"   PERIOD_H1   1 ;
                                              // "H4"   PERIOD_H4   4 ;
                                              // "D1"   PERIOD_D1   1 ;
                                              // "W1"   PERIOD_W1   1 ;
                                              // "MN1"  PERIOD_MN1  1 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 4.3.2.         .          .    UNICODE-.
 int tfPeriodByName9W(string sNamePeriod); //  .  :
                                           // ""     0            .
                                           // "M1"   PERIOD_M1   1 ;
                                           // "M5"   PERIOD_M5   5 ;
                                           // "M15"  PERIOD_M15  15 ;
                                           // "M30"  PERIOD_M30  30 ;
                                           // "H1"   PERIOD_H1   1 ;
                                           // "H4"   PERIOD_H4   4 ;
                                           // "D1"   PERIOD_D1   1 ;
                                           // "W1"   PERIOD_W1   1 ;
                                           // "MN1"  PERIOD_MN1  1 .
 //=============================================================================================================================================================================================================================================================
 // 4.4.1.         .          .    ANSI-.
 int tfPeriodByName24A(uchar &szNamePeriod[]); //  .  :
                                               // ""     0            .
                                               // "M1"   PERIOD_M1   1 ;
                                               // "M2"   PERIOD_M2   2 ;
                                               // "M3"   PERIOD_M3   3 ;
                                               // "M4"   PERIOD_M4   4 ;
                                               // "M5"   PERIOD_M5   5 ;
                                               // "M6"   PERIOD_M6   6 ;
                                               // "M10"  PERIOD_M10  10 ;
                                               // "M12"  PERIOD_M12  12 ;
                                               // "M15"  PERIOD_M15  15 ;
                                               // "M20"  PERIOD_M20  20 ;
                                               // "M30"  PERIOD_M30  30 ;
                                               // "H1"   PERIOD_H1   1 ;
                                               // "H2"   PERIOD_H2   2 ;
                                               // "H3"   PERIOD_H3   3 ;
                                               // "H4"   PERIOD_H4   4 ;
                                               // "H6"   PERIOD_H6   6 ;
                                               // "H8"   PERIOD_H8   8 ;
                                               // "H12"  PERIOD_H12  12 ;
                                               // "D1"   PERIOD_D1   1 ;
                                               // "W1"   PERIOD_W1   1 ;
                                               // "MN1"  PERIOD_MN1  1 ;
                                               // "Q1"   PERIOD_Q1   1 ;
                                               // "YR1"  PERIOD_YR1  1 ;
                                               // "YR4"  PERIOD_YR4  4 .
 //-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 // 4.4.2.         .          .    UNICODE-.
 int tfPeriodByName24W(string sNamePeriod); //  .  :
                                            // ""     0            .
                                            // "M1"   PERIOD_M1   1 ;
                                            // "M2"   PERIOD_M2   2 ;
                                            // "M3"   PERIOD_M3   3 ;
                                            // "M4"   PERIOD_M4   4 ;
                                            // "M5"   PERIOD_M5   5 ;
                                            // "M6"   PERIOD_M6   6 ;
                                            // "M10"  PERIOD_M10  10 ;
                                            // "M12"  PERIOD_M12  12 ;
                                            // "M15"  PERIOD_M15  15 ;
                                            // "M20"  PERIOD_M20  20 ;
                                            // "M30"  PERIOD_M30  30 ;
                                            // "H1"   PERIOD_H1   1 ;
                                            // "H2"   PERIOD_H2   2 ;
                                            // "H3"   PERIOD_H3   3 ;
                                            // "H4"   PERIOD_H4   4 ;
                                            // "H6"   PERIOD_H6   6 ;
                                            // "H8"   PERIOD_H8   8 ;
                                            // "H12"  PERIOD_H12  12 ;
                                            // "D1"   PERIOD_D1   1 ;
                                            // "W1"   PERIOD_W1   1 ;
                                            // "MN1"  PERIOD_MN1  1 ;
                                            // "Q1"   PERIOD_Q1   1 ;
                                            // "YR1"  PERIOD_YR1  1 ;
                                            // "YR4"  PERIOD_YR4  4 .
 //
#import
//